> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe project analytics catalog

> Returns the events, fields, filter operations, aggregations, and cost measures that a project analytics query can use.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /projects/{project_id}/analytics/catalog
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/analytics/catalog:
    get:
      tags:
        - Projects
      summary: Describe project analytics catalog
      description: >-
        Returns the events, fields, filter operations, aggregations, and cost
        measures that a project analytics query can use.
      operationId: describe_project_analytics
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID.
          schema:
            type: string
      responses:
        '200':
          description: Analytics catalog
          content:
            application/json:
              schema:
                type: object
                properties:
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        dimensions:
                          type: array
                          items:
                            type: object
                            properties:
                              field:
                                type: string
                              type:
                                type: string
                            required:
                              - field
                              - type
                            additionalProperties: false
                        measures:
                          type: array
                          items:
                            type: object
                            properties:
                              field:
                                type: string
                              type:
                                type: string
                              aggs:
                                type: array
                                items:
                                  type: string
                            required:
                              - field
                              - type
                              - aggs
                            additionalProperties: false
                        cost_measures:
                          type: array
                          items:
                            type: string
                      required:
                        - name
                        - dimensions
                        - measures
                        - cost_measures
                      additionalProperties: false
                  filter_ops:
                    type: array
                    items:
                      type: string
                  buckets:
                    type: array
                    items:
                      type: string
                  limits:
                    type: object
                    properties:
                      max_group_by:
                        type: number
                      max_measures:
                        type: number
                      max_rows:
                        type: number
                      max_window_days:
                        type: number
                      max_in_values:
                        type: number
                      max_order_by:
                        type: number
                      max_filters:
                        type: number
                    required:
                      - max_group_by
                      - max_measures
                      - max_rows
                      - max_window_days
                      - max_in_values
                      - max_order_by
                      - max_filters
                    additionalProperties: false
                required:
                  - events
                  - filter_ops
                  - buckets
                  - limits
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````